print('Система '+'регулирования')  #Соединение двух строк символов
print(['abc','de','fg']+['hi','jkl'])  # Объединение двух списков
print(('abc','de','fg')+('hi','jkl'))  # Объединение двух кортежей
print("\n")

print('ля-'*5)   #Повторение строки 5 раз
print(['ку','-']*3) #Повторение списка 3 раза
print(('кис','-')*4)  #Повторение кортежа 4 раза
print("\n")

signal1=[0]*3+[1]*99
print(signal1)
print("\n")

signal2=(0,)*3+(1,)*5+(0,)*7
print(signal2)
print("\n")


stroka='Система автоматического управления'
print('автомат' in stroka)  #Наличие подстроки в строке
print('ку' in ['ку','-']*3)  #Наличие контекста в списке
print('ля-' in ('abc', 'de', 'fg', 'hi', 'jkl'))  #Наличие контекста в кортеже

stroka='Температура = %g %s  %g'
print(stroka % (16,' меньше ',25))


stroka='Температура = %(zn1)g %(sravn)s  %(zn2)g'
print(stroka % {'zn1':16,'sravn':' меньше ','zn2':25})